#include "buzzer.h"

#define   BIT0        0x00000001
#define   BIT1        0x00000002
#define   BIT2        0x00000004
#define   BIT3        0x00000008
#define   BIT4        0x00000010
#define   BIT5        0x00000020
#define   BIT6        0x00000040
#define   BIT7        0x00000080

void Delay_b(unsigned long a) { while (--a!=0); }

void Beep(unsigned int tone, unsigned int duration)
{
  if(tone == 0) T2CFG0_bit.T2DIV = 0x00; //system clock divide by 1
  if(tone == 1) T2CFG0_bit.T2DIV = 0x01; //system clock divide by 2
  if(tone == 2) T2CFG0_bit.T2DIV = 0x02; //system clock divide by 4
  
  SetPolarity(1);
  Delay_uS(duration);
  SetPolarity(0);
}

void InitBeep()
{

}

void Beep_1()
{
  unsigned int i=0;
  for(i=0; i<100; i++)
  {
    P06 |= BIT4;          //set P6.4 to '1'
    P06 &= ~BIT5;         //set P6.5 to '0'
    PD6 |= BIT4;          //set P6.4 to output 
    PD6 |= BIT5;         //set P6.5 to output 
    
    Delay_b(1000);
    
    P06 |= BIT5;          //set P6.5 to '1'
    P06 &= ~BIT4;         //set P6.4 to '0'
    PD6 |= BIT5;          //set P6.5 to output 
    PD6 |= BIT4;         //set P6.4 to output 
    
     Delay_b(1000);
  }
}

void Beep_2()
{
  unsigned int i=0;
  for(i=0; i<100; i++)
  {
    P06 |= BIT4;          //set P6.4 to '1'
    P06 &= ~BIT5;         //set P6.5 to '0'
    PD6 |= BIT4;          //set P6.4 to output 
    PD6 |= BIT5;         //set P6.5 to output 
    
    Delay_b(2000);
    
    P06 |= BIT5;          //set P6.5 to '1'
    P06 &= ~BIT4;         //set P6.4 to '0'
    PD6 |= BIT5;          //set P6.5 to output 
    PD6 |= BIT4;         //set P6.4 to output 
    
     Delay_b(2000);
  }
}


