//lcd.h
#include <iomaxq200x.h>

//dot -> .
#define DP3_ON    LCD2  |= 0x01
#define DP4_ON    LCD4  |= 0x01
#define DP5_ON    LCD6  |= 0x01
#define DP6_ON    LCD8  |= 0x01
#define DP8_ON    LCD13 |= 0x08
#define DP10_ON   LCD12 |= 0x08
#define DP11_ON   LCD10 |= 0x80
//double dot -> :
#define COL4_ON   LCD2  |= 0x08
#define COL5_ON   LCD4  |= 0x08
#define COL6_ON   LCD6  |= 0x08
#define COL10_ON  LCD11 |= 0x80
//arrow
#define AL_ON     LCD14 |= 0x01
#define AU_ON     LCD14 |= 0x02
#define AR_ON     LCD14 |= 0x04
#define AD_ON     LCD14 |= 0x08
//batery
#define BRBL_ON   LCD14 |= 0x10
#define B2_ON     LCD14 |= 0x20
#define B1_ON     LCD14 |= 0x40
#define B0_ON     LCD14 |= 0x80

//progress
#define PR_ON     LCD15 |= 0x01
#define P9_ON     LCD15 |= 0x02
#define P8_ON     LCD15 |= 0x04
#define P7_ON     LCD15 |= 0x08
#define P6_ON     LCD15 |= 0x80
#define P5_ON     LCD15 |= 0x40
#define P4_ON     LCD15 |= 0x20
#define P3_ON     LCD15 |= 0x10
#define P2_ON     LCD16 |= 0x01
#define P1_ON     LCD16 |= 0x02
#define P0_ON     LCD16 |= 0x04
#define PL_ON     LCD16 |= 0x08




void clearLCD(void); 
void allLCD(void);                         
void initLCD(void);                                        
void LcdWriteChar(unsigned short pos, unsigned char letter);   
void LcdWriteWord(unsigned char *word);
void LcdWriteClck(unsigned int number);
