//main
#include "buttons.h"
#include "lcd.h"
#include "timer.h"
#include "buzzer.h" 
#include "rtc.h"
#include "uart.h"

void Delay(unsigned long a) {  while (--a!=0); }
  
void main()
{  

  /**** Variables ****/
  unsigned char ch  = 0; 
  
  /**** Initialization ****/
  initLCD();            //init LCD
  InitUART();           //init uart
  InitUartInterr();     //init uart interrupts
  InitButtons();        //init buttons  
  InitButInterupts();   //init interrupts for buttons
  InitOW();             //init one wire

  LcdWriteChar(3, ' ');
  LcdWriteChar(4, 'M');
  LcdWriteChar(5, 'A');
  LcdWriteChar(6, 'X');
  LcdWriteChar(7, 'Q');
  
    
  //loop forever
  while(1) {
      
  }
}


